# $Revision: 1.12 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-Rcon
Summary:	POE::Component::Client::Rcon - implementation of the Rcon remote console protocol
Summary(pl.UTF-8):	POE::Component::Client::Rcon - implementacja protokołu zdalnej konsoli Rcon
Name:		perl-POE-Component-Client-Rcon
Version:	0.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ebff9d4943f80cbd147e37d4dbf7a35a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 0.15
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::Rcon is an implementation of the Rcon protocol
- the protocol commonly used to remotely administer Half-Life, Quake,
and RTCW (Return to Castle Wolfenstein) servers. It is capable of
handling multiple Rcon requests simultaneously, even multiple requests
to the same IP/Port simultaneously.

%description -l pl.UTF-8
POE::Component::Client::RCon to implementacja protokołu Rcon -
powszechnie używanego do zdalnego administrowania serwerami Half-Life,
Quake'a czy RTCW (Return to Castle Wolfenstein). Umożliwia jednoczesną
obsługę wielu żądań RCon, a nawet jednoczesne żądania do tego samego
IP/portu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/POE/Component/Client/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Client-Rcon.spec,v $
Revision 1.12  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:39  paladine
- formatting

Revision 1.9  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.8  2004/05/06 18:20:51  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/27 15:26:24  ankry
- new bconds

Revision 1.6  2004/03/06 20:23:01  adamg
- updated to 0.23

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
